#!/usr/bin/python
# -*- coding: utf-8 -*-

from welcome.board import SmallBoard
from gi.repository import Gtk, Gdk


class WebInvitation(SmallBoard):
    """Présente un lien rapide vers le site Web officiel."""


    def __init__(self):
        """Construit le panneau avec son contenu."""

        super(WebInvitation, self).__init__()

        msg = '''Get access to the online documentation and stay tuned by visiting the official website :

<a href="http://0xdeadc0de.fr/chrysalide/">0xdeadc0de.fr/chrysalide</a>'''

        desc = Gtk.Label(msg, use_markup=True, wrap=True)
        desc.add_events(Gdk.EventMask.ENTER_NOTIFY_MASK)
        desc.set_track_visited_links(False)
        self.add(desc)


    def get_location(self):
        """Fournit la localisation souhaitée pour la planche."""

        return [ 3, 0, 1, 1 ]
